org.ajax4jsf.component

## Class UIAjaxStatus

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.ajax4jsf.component.UIAjaxStatus

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    HtmlAjaxStatus

      public class UIAjaxStatus
      extends javax.faces.component.UIComponentBase

  Component for create request state status area. can create 2 output text areas ( <span> ) with different text and styles. if defined "start" or/and "stop" facets, it's use as conttent for different state. By default, "start" text/facet rendered with display = none style. On client side, display style changed for elements on start-stop request.
  Version:
    $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:25 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UIAjaxStatus.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIAjaxStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClientId(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFor()`
    `java.lang.String` | `getStartStyle()`
    `java.lang.String` | `getStartStyleClass()`
    `java.lang.String` | `getStartText()`
    `java.lang.String` | `getStopStyle()`
    `java.lang.String` | `getStopStyleClass()`
    `java.lang.String` | `getStopText()`
    `boolean` | `isForceId()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setFor(java.lang.String _for)`
    `void` | `setForceId(boolean forceId)` setter method for property
    `void` | `setId(java.lang.String arg0)`
    `void` | `setStartStyle(java.lang.String startStyle)` setter method for property
    `void` | `setStartStyleClass(java.lang.String startStyleClass)` setter method for property
    `void` | `setStartText(java.lang.String startText)` setter method for property
    `void` | `setStopStyle(java.lang.String stopStyle)` setter method for property
    `void` | `setStopStyleClass(java.lang.String stopStyleClass)` setter method for property
    `void` | `setStopText(java.lang.String stopText)` setter method for property

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIAjaxStatus

          public UIAjaxStatus()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setFor

          public void setFor(java.lang.String _for)

      Parameters:
        `new` - value of id of form for wich status will displayed to set

    - #### getFor

          public java.lang.String getFor()

      Returns:
        value or result of valueBinding of id of form for wich status will displayed

    - #### setStartText

          public void setStartText(java.lang.String startText)

      setter method for property
      Parameters:
        `new` - value of Text to output on start request to set

    - #### getStartText

          public java.lang.String getStartText()

      Returns:
        value or result of valueBinding of Text to output on start request

    - #### setStopText

          public void setStopText(java.lang.String stopText)

      setter method for property
      Parameters:
        `new` - value of Text to display on complete request to set

    - #### getStopText

          public java.lang.String getStopText()

      Returns:
        value or result of valueBinding of Text to display on complete request

    - #### setStartStyle

          public void setStartStyle(java.lang.String startStyle)

      setter method for property
      Parameters:
        `new` - value of Style for display on start request to set

    - #### getStartStyle

          public java.lang.String getStartStyle()

      Returns:
        value or result of valueBinding of Style for display on start request

    - #### setStopStyle

          public void setStopStyle(java.lang.String stopStyle)

      setter method for property
      Parameters:
        `new` - value of Style for displaying on complete to set

    - #### getStopStyle

          public java.lang.String getStopStyle()

      Returns:
        value or result of valueBinding of Style for displaying on complete

    - #### setStartStyleClass

          public void setStartStyleClass(java.lang.String startStyleClass)

      setter method for property
      Parameters:
        `new` - value of Style class for display on request to set

    - #### getStartStyleClass

          public java.lang.String getStartStyleClass()

      Returns:
        value or result of valueBinding of Style class for display on request

    - #### setStopStyleClass

          public void setStopStyleClass(java.lang.String stopStyleClass)

      setter method for property
      Parameters:
        `new` - value of Style class for display on complete request to set

    - #### setForceId

          public void setForceId(boolean forceId)

      setter method for property
      Parameters:
        `new` - value of Force id to render in Html as is to set

    - #### isForceId

          public boolean isForceId()

      Returns:
        value or result of valueBinding of Force id to render in Html as is

    - #### getClientId

          public java.lang.String getClientId(javax.faces.context.FacesContext context)

      Overrides:
        `getClientId` in class `javax.faces.component.UIComponentBase`

    - #### setId

          public void setId(java.lang.String arg0)

      Overrides:
        `setId` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### getStopStyleClass

          public java.lang.String getStopStyleClass()

      Returns:
        value or result of valueBinding of Style class for display on complete request

Copyright © 2014. All Rights Reserved.